/*
 * printable.cpp
 *
 *  Created on: Aug 30, 2023
 *      Author: Dario
 */


#include <sta/tacos/startup.hpp>
#include <sta/debug/debug.hpp>

#include <sta/tacos/manager.hpp>
#include <tasks/dummy.hpp>

#include <memory>


namespace sta
{
	namespace tacos
	{
		void onStatemachineInit()
		{
			STA_DEBUG_PRINTLN("Starting statemachine task!");
		}

		void onManagerInit()
		{
			STA_DEBUG_PRINTLN("Starting manager task!");

			Manager::instance()->registerThread(std::make_shared<demo::DummyTask>("0"), {0});
			Manager::instance()->registerThread(std::make_shared<demo::DummyTask>("1"), {1});
			Manager::instance()->registerThread(std::make_shared<demo::DummyTask>("2"), {2});
			Manager::instance()->registerThread(std::make_shared<demo::DummyTask>("3"), {3});
		}
	} // namespace tacos
} // namespace sta

